## graphviz 2.36.0

=== cmd/gvpr/lib/Makefile ===
# Makefile.in generated by automake 1.12.2 from Makefile.am.
# cmd/gvpr/lib/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2012 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# $Id$ $Revision$


am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/graphviz
pkgincludedir = $(includedir)/graphviz
pkglibdir = $(libdir)/graphviz
pkglibexecdir = $(libexecdir)/graphviz
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = cmd/gvpr/lib
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/argz.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltdl.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/./version.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h \
	$(top_builddir)/lib/common/types.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(gvprdir)"
DATA = $(gvpr_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/gviz/tmp/gviz/graphviz-master/config/missing --run aclocal-1.12
ALLOCA = 
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
ANN_CFLAGS =  
ANN_LIBS = -lANN  
AR = ar
ARGZ_H = 
AUTOCONF = ${SHELL} /home/gviz/tmp/gviz/graphviz-master/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/gviz/tmp/gviz/graphviz-master/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/gviz/tmp/gviz/graphviz-master/config/missing --run automake-1.12
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wno-unknown-pragmas -Wstrict-prototypes -Wpointer-arith -Wall -ffast-math
CPP = gcc -E
CPPFLAGS =  -I/usr/local/include
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
CYGWIN = no
DARWIN = 
DARWIN9 = no
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DEVIL_INCLUDES = 
DEVIL_LIBS =  -lIL -lILU
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
EXPAT_CONFIG = 
EXPAT_INCLUDES = 
EXPAT_LIBS = -L/usr/lib64 -lexpat
EXTRA_SMYRNA_LDFLAGS = 
FGREP = /usr/bin/grep -F
FONTCONFIG_CFLAGS =  
FONTCONFIG_CONFIG = 
FONTCONFIG_LIBS = -lfontconfig  
FREETYPE2_CFLAGS = -I/usr/include/freetype2  
FREETYPE2_LIBS = -lfreetype  
FREETYPE_CONFIG = 
GDIPLUS_CFLAGS = 
GDIPLUS_HEADS = 
GDIPLUS_LIBS = 
GDK_CFLAGS = -pthread -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm  
GDK_LIBS = -lgdk-x11-2.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lpango-1.0 -lcairo -lgobject-2.0 -lglib-2.0  
GDK_PIXBUF_CFLAGS = -pthread -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng15 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  
GDK_PIXBUF_LIBS = -lgdk_pixbuf-2.0 -lgobject-2.0 -lglib-2.0  
GDLIB_CONFIG = /usr/bin/gdlib-config
GD_INCLUDES = 
GD_LIBS = -L/usr/lib64 -Wl,-z,relro -lgd -lXpm -lX11 -ljpeg -lfontconfig -lfreetype -lpng -lz -lm
GLADE_CFLAGS = -pthread -I/usr/include/libglade-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libxml2 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/harfbuzz  
GLADE_LIBS = -lglade-2.0 -lgtk-x11-2.0 -lxml2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0  
GLITZ_CFLAGS = 
GLITZ_LIBS = 
GLUT_CFLAGS = 
GLUT_LIBS =  -lglut
GO = 
GO_INCLUDES = 
GO_LIBS = 
GRAPHVIZ_COLLECTION = test
GRAPHVIZ_SOURCES = graphviz/test/SOURCES
GRAPHVIZ_VERSION_BUILD = 0
GRAPHVIZ_VERSION_COMMIT = unknown
GRAPHVIZ_VERSION_DATE = 20140111.2315
GRAPHVIZ_VERSION_MAJOR = 2
GRAPHVIZ_VERSION_MICRO = 0
GRAPHVIZ_VERSION_MINOR = 36
GRAPHVIZ_VERSION_REVISION = 0
GREP = /usr/bin/grep
GROFF = groff
GS_CFLAGS = 
GS_LIBS = -lgs
GTKGLEXT_CFLAGS = -pthread -I/usr/include/gtkglext-1.0 -I/usr/lib64/gtkglext-1.0/include -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/atk-1.0 -I/usr/include/harfbuzz  
GTKGLEXT_LIBS = -Wl,--export-dynamic -pthread -lgtkglext-x11-1.0 -lgdkglext-x11-1.0 -lGLU -lGL -lXmu -lXt -lSM -lICE -lgtk-x11-2.0 -lpangox-1.0 -lX11 -lgmodule-2.0 -lrt -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0  
GTKGL_CFLAGS = -pthread -I/usr/include/gtkgl-2.0 -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/harfbuzz  
GTKGL_LIBS = -lgtkgl-2.0 -lGLU -lGL -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0  
GTK_CFLAGS = -pthread -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/harfbuzz  
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0  
GTS_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  
GTS_LIBS = -lgts -lm -lglib-2.0  
GUILE = guile
GUILE_CFLAGS = -pthread  
GUILE_INCLUDES = -pthread  
GUILE_LIBS =  -pthread  -lguile 
GVPLUGIN_CONFIG_FILE = config6
GVPLUGIN_VERSION = 6
GVPLUGIN_VERSION_INFO = 6:0:0
INCLTDL = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
IO = 
IO_INCLUDES = 
IO_LIBS = 
IPSEPCOLA_INCLUDES = 
IPSEPCOLA_LIBS = 
JAVA = java
JAVA_INCLUDES =  -I/usr/lib/jvm/java/include -I/usr/lib/jvm/java/include/linux
JAVA_LIBS = 
LASI_CFLAGS = -pthread -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  
LASI_LIBS = -lLASi -lpangoft2-1.0 -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0  
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -L/usr/local/lib
LEX = flex
LEXLIB = 
LEX_OUTPUT_ROOT = lex.yy
LIBADD_DL = -ldl 
LIBADD_DLD_LINK = 
LIBADD_DLOPEN = -ldl
LIBADD_SHL_LOAD = 
LIBGEN_LIBS = 
LIBLTDL = -lltdl
LIBLTDL_LDFLAGS = 
LIBOBJS = 
LIBPOSTFIX = 64
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTDLDEPS = 
LTDLINCL = 
LTDLOPEN = libltdl
LTLIBOBJS = 
LT_CONFIG_H = config.h
LT_DLLOADERS =  libltdl/dlopen.la
LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la 
LUA = lua
LUACONFIG = 
LUA_INCLUDES =   
LUA_INSTALL_DIR = /usr/lib64/lua/5.1
LUA_LIBS =  -llua -lm -ldl  
MAKEINFO = ${SHELL} /home/gviz/tmp/gviz/graphviz-master/config/missing --run makeinfo
MANIFEST_TOOL = :
MATH_LIBS = -lm
MCS = mcs
MINGW32 = no
MING_CFLAGS = 
MING_LIBS = 
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJC = gcc
OBJCDEPMODE = depmode=gcc3
OBJCFLAGS = 
OBJDUMP = objdump
OBJEXT = o
OCAML = ocaml
OCAML_INCLUDES = -I/usr/lib64/ocaml
OCAML_LIBS = -L/usr/lib64/ocaml
OCAML_OPT = ocamlopt
OTOOL = 
OTOOL64 = 
PACKAGE = graphviz
PACKAGE_BUGREPORT = http://www.graphviz.org/
PACKAGE_NAME = graphviz
PACKAGE_STRING = graphviz 2.36.0
PACKAGE_TARNAME = graphviz
PACKAGE_URL = 
PACKAGE_VERSION = 2.36.0
PANGOCAIRO_CFLAGS = -pthread -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm  
PANGOCAIRO_LIBS = -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lglib-2.0  
PANGOFT2_CFLAGS = -pthread -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  
PANGOFT2_LIBS = -lpangoft2-1.0 -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0  
PATH_SEPARATOR = :
PERL = perl
PERL_INCLUDES = -I/usr/lib64/perl5/CORE
PERL_INSTALL_DIR = /usr/lib64/perl5/vendor_perl
PERL_LIBS = -L/usr/lib64/perl5/CORE -lperl
PHP = php

=== debian/changelog ===
graphviz (2.36.0-0ubuntu3.2) trusty; urgency=medium

  * Add missing dependency from libgraphviz-dev to libgvc6-plugins-gtk
    (LP: #1398028)
  * Install missing GDK plugin in libgvc6-plugin-gtk

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 24 Dec 2016 22:28:32 -0500

graphviz (2.36.0-0ubuntu3.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Format string vulnerability may allow attackers to
    cause a denial of service or possibly execute code.
    - debian/patches/CVE-2014-9157.patch: Fix format string vulnerability in
      lib/cgraph/scan.l yyerror() routine.
    - CVE-2014-9157

 -- Seth Arnold <seth.arnold@canonical.com>  Thu, 04 Dec 2014 16:12:24 -0800

graphviz (2.36.0-0ubuntu3) trusty; urgency=medium

  * No change rebuild for phpapi-20121212+lfs (LFS ABI break on 32-bit archs).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Feb 2014 13:58:45 +0100

graphviz (2.36.0-0ubuntu2) trusty; urgency=medium

  * debian/*.post{inst,rm}: Update for libgvc5-config-update →
    libgvc6-config-update to correctly configure plugins. (LP: #1270025)
  * Add a simple autopkgtest that ensures that "dot" works.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 17 Jan 2014 07:55:19 +0100

graphviz (2.36.0-0ubuntu1) trusty; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Jan 2014 08:33:48 +0100

graphviz (2.34.0-0ubuntu6) trusty; urgency=low

  * SECURITY UPDATE: buffer overflow in yyerror()
    - debian/patches/CVE-2014-0978.patch: don't overflow buf in
      lib/cgraph/scan.l.
    - CVE-2014-0978
  * SECURITY UPDATE: buffer overflow in yyerror() security fix
    - debian/patches/CVE-2014-1235.patch: once again, don't overflow buf
      in lib/cgraph/scan.l.
    - CVE-2014-1235
  * SECURITY UPDATE: buffer overflow in chkNum of scanner
    - debian/patches/CVE-2014-1236.patch: don't overflow buf in
      lib/cgraph/scan.l.
    - CVE-2014-1236

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 14 Jan 2014 13:01:36 -0500

graphviz (2.34.0-0ubuntu5) trusty; urgency=medium

  * Fix dh-autoreconf invocation to not override the arguments to autoreconf;
    without -i, libtoolize is never called.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 15 Dec 2013 22:47:35 -0800

graphviz (2.34.0-0ubuntu4) trusty; urgency=low

  * Revert the last change and remove references to libgraph.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Oct 2013 15:38:48 +0200

graphviz (2.34.0-0ubuntu3) trusty; urgency=low

  * Build libgraph again.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Oct 2013 13:57:49 +0200

graphviz (2.34.0-0ubuntu2) trusty; urgency=low

  * New upstream version.
  * Build using lua5.2. LP: #1196921.
  * Build using ruby1.9.1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Sep 2013 12:35:03 +0200

graphviz (2.26.3-15ubuntu3) saucy; urgency=low

  * Recommend fonts-liberation rather than ttf-liberation.

 -- Jackson Doak <noskcaj@ubuntu.com>  Fri, 13 Sep 2013 08:05:04 +1000

graphviz (2.26.3-15ubuntu2) saucy; urgency=low

  * Rebuild for PHP 5.5.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jul 2013 01:57:50 +0100

graphviz (2.26.3-15ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - debian/patches/linkage: Add more explicit library linkage to cope with
      'ld --no-copy-dt-needed-entries'.
    - Build using dh_python2.
    - Drop unused build-dependency on pdksh.
    - Mark graphviz Multi-Arch: foreign.
    - Handle multiarch Python.
    - Build using guile-2.0.
    - Configure with --disable-silent-rules.
    - Configure for the Tcl/Tk 8.5 multiarch installation.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Jun 2013 13:20:08 +0100

graphviz (2.26.3-15) unstable; urgency=low

  * Disable python2.6 (Closes: #707502)

 -- Christoph Egger <christoph@debian.org>  Tue, 25 Jun 2013 12:35:36 +0200

graphviz (2.26.3-14ubuntu2) saucy; urgency=low

  * Rebuild for libgd3.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 May 2013 11:22:04 +0100

graphviz (2.26.3-14ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - debian/patches/linkage: Add more explicit library linkage to cope with
      'ld --no-copy-dt-needed-entries'.
    - Build using dh_python2.
    - Stop trying to install /usr/lib/graphviz/python26.
    - Drop unused build-dependency on pdksh.
    - Mark graphviz Multi-Arch: foreign.
    - Handle multiarch Python.
    - Build using guile-2.0.
    - Configure with --disable-silent-rules.
  * Configure for the Tcl/Tk 8.5 multiarch installation. LP: #1163136.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Apr 2013 10:02:23 +0200

graphviz (2.26.3-14) unstable; urgency=low

  * Use system ltdl in place of version in subdir (Closes: #701832)
    - Currently an ancient version of libltdl is being
      shipped and used, unnoticed until now.
      Changed configure.ac to ensure system ltdl is used instead
    - Security issue - affected by DSA-1958-1 (CVE-2009-3736)

 -- David Claughton <dave@eclecticdave.com>  Fri, 08 Mar 2013 22:37:51 +0000

graphviz (2.26.3-13) unstable; urgency=low

  [ David Claughton ]
  * Add 'fontfaq.txt' file to graphviz-doc package 

  [ Christoph Egger ]
  * Import patch by Steven Chamberlain to fix hangs on kfeebsd (Closes: #701832)

 -- David Claughton <dave@eclecticdave.com>  Sun, 23 Sep 2012 22:10:00 +0100

graphviz (2.26.3-12ubuntu5) raring; urgency=low

  * Build using guile-2.0.
  * Configure with --disable-silent-rules.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Feb 2013 09:21:16 +0100

graphviz (2.26.3-12ubuntu4) raring; urgency=low

  * Handle multiarch Python.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 07 Jan 2013 19:38:55 +0000

graphviz (2.26.3-12ubuntu3) raring; urgency=low

  * Mark graphviz Multi-Arch: foreign.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 04 Dec 2012 02:45:38 +0000

graphviz (2.26.3-12ubuntu2) raring; urgency=low

  * Drop unused build-dependency on pdksh.



=== debian/control ===
Source: graphviz
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: David Claughton <dave@eclecticdave.com>
Uploaders: Christoph Egger <christoph@debian.org>,
 Sebastian Harl <tokkee@debian.org>
Standards-Version: 3.8.4
Build-Depends: tk-dev,
 tcl-dev,
 debhelper (>= 7.1.0~),
 libfreetype6-dev,
 zlib1g-dev,
 libjpeg-dev,
 libpng-dev,
 libxaw7-dev,
 bison,
 flex,
 autotools-dev,
 libexpat1-dev,
 libfontconfig1-dev,
 libltdl-dev (>= 2.2.6b),
 swig,
 libperl-dev,
 libgd2-noxpm-dev (>= 2.0.35),
 groff-base,
 ghostscript,
 lua5.2,
 liblua5.2-dev,
 ruby1.9.1,
 ruby1.9.1-dev,
 php5-dev,
 php5-cli,
 python-all-dev (>= 2.6.6-3~),
 libcairo2-dev,
 libpango1.0-dev,
 guile-2.0-dev,
 d-shlibs,
 chrpath,
 dh-autoreconf,
 libgtk2.0-dev,
 libgnomeui-dev
Build-Conflicts: tcl8.3, tcl8.4, tcl8.5
Vcs-Git: git://git.debian.org/git/collab-maint/graphviz.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/graphviz.git
Homepage: http://www.graphviz.org/
XS-Testsuite: autopkgtest

Package: graphviz
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: gdtclft
Recommends: fonts-liberation
Suggests: gsfonts, graphviz-doc
Description: rich set of graph drawing tools
 Graph drawing addresses the problem of visualizing structural information
 by constructing geometric representations of abstract graphs and networks.
 Automatic generation of graph drawings has important applications in key
 technologies such as database design, software engineering, VLSI and
 network design and visual interfaces in other domains. Situations where
 these tools might be particularly useful include:
 .
   * you would like to restructure a program and first need to understand
     the relationships between its types, procedures, and source files
   * you need to find the bottlenecks in an Internet backbone - not only
     individual links, but their relationships
   * you're debugging a protocol or microarchitecture represented as a
     finite state machine and need to figure out how a certain
     error state arises
   * you would like to browse a database schema, knowledge base, or
     distributed program represented graphically
   * you would like to see an overview of a collection of linked documents
   * you would like to discover patterns and communities of interest in a
     database of telephone calls or e-mail messages
 .
 This package contains the command-line tools.

Package: libgv-guile
Architecture: any
Section: interpreters
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Guile bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the guile (2.0) bindings.

Package: libgv-lua
Architecture: any
Section: interpreters
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lua bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the lua5.2 bindings.

Package: libgv-perl
Architecture: any
Section: perl
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: graphviz (<< 2.12-1)
Description: Perl bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Perl bindings.

Package: libgv-php5
Architecture: any
Section: php
Depends: ${shlibs:Depends}, ${php:Depends}, ${misc:Depends}
Description: PHP5 bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the PHP5 bindings.

Package: libgv-python
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: Python bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Python bindings.

Package: libgv-ruby
Architecture: any
Section: ruby
Depends: ${shlibs:Depends}, ruby1.9.1, ${misc:Depends}
Description: Ruby bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Ruby (1.9.1) bindings.


Package: libgv-tcl
Architecture: any
Section: interpreters
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: graphviz (<< 2.12-1)
Description: Tcl bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Tcl (8.6) bindings.

Package: libcgraph6
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphviz4
Description: rich set of graph drawing tools - cgraph library
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the cgraph library.

Package: libcdt5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphviz4
Description: rich set of graph drawing tools - cdt library
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the cdt library.

Package: libpathplan4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphviz4
Description: rich set of graph drawing tools - pathplan library
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the pathplan library.

Package: libgvc6
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphviz4, libgvc5
Description: rich set of graph drawing tools - gvc library
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the gvc library.

Package: libgvc6-plugins-gtk
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphviz4
Description: rich set of graph drawing tools - gtk plugins
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the gtk and gdk-pixbuf plugins.

Package: libgvpr2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphviz4
Replaces: libgvpr1
Description: rich set of graph drawing tools - gvpr library
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the gvpr library.

Package: libxdot4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphviz4
Description: rich set of graph drawing tools - xdot library
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the xdot library.

Package: libgraphviz-dev
Architecture: any
Section: libdevel
Depends: libcdt5 (= ${binary:Version}),
 libcgraph6 (= ${binary:Version}),
 libgvc6 (= ${binary:Version}),
 libgvpr2 (= ${binary:Version}),
 libpathplan4 (= ${binary:Version}),
 libxdot4 (= ${binary:Version}),
 libgvc6-plugins-gtk (= ${binary:Version}),
 ${devlibs:Depends}, ${misc:Depends}
Conflicts: graphviz-dev (<< 2.12-1), libgraphviz3-dev, libgraphviz4-dev (<< 2.16-3)
Replaces: libgraphviz3-dev, libgraphviz4-dev (<< 2.16-3)
Provides: graphviz-dev
Description: graphviz libs and headers against which to build applications
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package installs the libraries and headers necessary to link graphviz
 library routines into an application. It also installs additional man pages.
 .
 Note: A graphviz user doesn't need to install this package.

Package: graphviz-doc
Depends: ${misc:Depends}
Architecture: all
Section: doc
Conflicts: graphviz (<< 2.12-1)
Suggests: graphviz
Description: additional documentation for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package installs HTML and PDF documentation for Graphviz, as well as
 examples.

Package: graphviz-dev
Architecture: all
Section: oldlibs
Priority: extra
Depends: libgraphviz-dev, ${misc:Depends}
Description: transitional package for graphviz-dev rename
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package is targeted at easing the upgrade from older graphviz-dev to the
 new libgraphviz-dev package.
 .
 This package can be purged at anytime once the libgraphviz-dev package has
 been installed.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/python/python.mk

# Get build platform info
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifeq ($(DEB_HOST_ARCH_OS),hurd)
CONFIGURE_LIBS    = LIBS="-Wl,--no-as-needed -Wl,-lpthread -Wl,--as-needed"
endif

UPSTREAM_VERSION  = $(shell dpkg-parsechangelog | perl -ne 'print $$1 if /^Version: (.*?)-(.*)$$/')

# sonames for various libraries
SO_CGRAPH	= 6
SO_CDT		= 5
SO_GVC		= 6
SO_PATHPLAN	= 4
SO_XDOT		= 4
SO_GVPR		= 2

PHP_EXTENSION_DIR = $(shell php-config5 --extension-dir)
PHP_PACKAGE       = $(CURDIR)/debian/libgv-php5

LUA_VERSION       = 5.2
LUA_PACKAGE       = $(CURDIR)/debian/libgv-lua

DEV_PACKAGE       = $(CURDIR)/debian/libgraphviz-dev

PYTHON_VERSIONS   = $(shell pyversions -r)
PYTHON_PACKAGE    = $(CURDIR)/debian/libgv-python

RUBY_VERSION      = 1.9.1
RUBY_PACKAGE      = $(CURDIR)/debian/libgv-ruby

CONFIG_SCRIPTS=config/config.guess libltdl/config.guess \
	       config/config.sub   libltdl/config.sub

configure: configure-stamp
configure-stamp:
	dh_testdir

	# Update the config scripts
	for i in $(CONFIG_SCRIPTS); do \
		cp /usr/share/misc/`basename $$i` $$i ; \
	done

	# Configure the package
	dh_autoreconf
	./configure --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
	--disable-silent-rules \
	--prefix=/usr \
	--datadir=\$${prefix}/share \
	--infodir=\$${prefix}/share/info \
	--mandir=\$${prefix}/share/man \
	--disable-static \
	--without-included-ltdl \
	--with-pangocairo \
	--with-x \
	--with-gdk-pixbuf \
	--with-gnomeui \
	--with-gtk \
	--without-gts \
	--without-ipsepcola \
	--without-rsvg \
	--enable-guile \
	--enable-lua \
	--enable-php \
	--enable-ruby \
	--enable-tcl \
	--disable-java \
	--disable-r \
	--disable-sharp \
	$(shell echo $(PYTHON_VERSIONS) | sed -e's,python,--enable-python,g' -e 's,\.,,g') \
	$(CONFIGURE_LIBS) \
	LDFLAGS="-Wl,--as-needed"
	touch configure-stamp

build-arch: build
build-indep: build
build: configure build-stamp
build-stamp:
	dh_testdir

	# Install missing script mksvgfonts.pl to lib/common
	cp debian/mksvgfonts.pl lib/common
	chmod 744 lib/common/mksvgfonts.pl

	# Build
	$(MAKE)
	touch build-stamp

	# Build the manpage from SONAME-independent perlpod
	sed -e 's/##SONAME##/$(SO_GVC)/g' \
		debian/libgvc-config-update.pod.in > \
		debian/libgvc$(SO_GVC)-config-update.pod
	pod2man --center "GRAPHVIZ CONFIGURATION MANAGEMENT" \
		--release $(UPSTREAM_VERSION) \
	  --section 8 \
		debian/libgvc$(SO_GVC)-config-update.pod \
		debian/libgvc$(SO_GVC)-config-update.8

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Clean up if a build already happened
	[ ! -f Makefile ] || $(MAKE) distclean

	# Clean up intermediate and generated manpages
	rm -f debian/libgvc$(SO_GVC)-config-update.pod
	rm -f debian/libgvc$(SO_GVC)-config-update.8

	dh_clean $(CONFIG_SCRIPTS) \
		tclpkg/gv/gv.R tclpkg/gv/php_gv.h
	dh_autoreconf_clean
	dh_clean


install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# Remove .la files
	find -name '*.la' -delete

	# Strip the rpath on /usr/lib (at least on amd64), but not
	# on /usr/lib/graphviz (needed for the plugins), and bail
	# out if it is another case, while ignoring if there's no
	# RPATH at all (there are shell scripts under /usr/bin).
	for i in `find debian/tmp/usr/bin debian/tmp/usr/lib -type f` ; do \
		case `chrpath -l -k $$i` in \
			*RPATH=/usr/lib/graphviz) ;; \
			*RPATH=/usr/lib) chrpath -d $$i ;; \
			*RPATH=/usr/lib:/usr/lib/graphviz) chrpath -r /usr/lib/graphviz $$i ;; \
			*RPATH=*) echo "Unknown RPATH: $$i" ; exit 1 ;; \
			*) ;; \
		esac ; \
	done

	# Compute the dependencies of the -dev package
	# NOTE: It is important to do that before splitting the files into
	# their respective packages, otherwise the symlinks are broken
	d-devlibdeps \
		--override s/libpathplan$(SO_PATHPLAN)-dev// \
		--override s/libcdt$(SO_CDT)-dev//      \
		--override s/libcgraph$(SO_CGRAPH)-dev//   \
		--override s/libgvpr$(SO_GVPR)-dev//   \
		--override s/libxdot$(SO_XDOT)-dev//   \
		$(CURDIR)/debian/libgraphviz-dev.substvars \
		$(CURDIR)/debian/tmp/usr/lib/*.so

	# Move from debian/tmp to the appropriate packages, rename one binary
	dh_install --sourcedir=debian/tmp --list-missing
	mv $(CURDIR)/debian/libgvc$(SO_GVC)/usr/sbin/dot \
		$(CURDIR)/debian/libgvc$(SO_GVC)/usr/sbin/libgvc$(SO_GVC)-config-update

	# Some additional work for libgv-php5
	install -d $(PHP_PACKAGE)/$(PHP_EXTENSION_DIR)
	mv $(PHP_PACKAGE)/usr/lib/graphviz/php/libgv_php.so \
		$(PHP_PACKAGE)/$(PHP_EXTENSION_DIR)/gv.so
	install -d $(PHP_PACKAGE)/usr/share/php/libgv-php5
	mv $(PHP_PACKAGE)/usr/lib/graphviz/php/gv.php \
		$(PHP_PACKAGE)/usr/share/php/libgv-php5
	rm -rf $(PHP_PACKAGE)/usr/lib/graphviz
	echo "php:Depends=phpapi-`php-config5 --phpapi`" >> $(PHP_PACKAGE).substvars

	# Some additional work for libgv-lua
	# 1. Rename using the LUA_VERSION
	mv $(LUA_PACKAGE)/usr/lib/graphviz/lua/libgv_lua.so \
		$(LUA_PACKAGE)/usr/lib/graphviz/lua/liblua$(LUA_VERSION)-libgv.so
	# 2. Add a symlink
	install -d $(LUA_PACKAGE)/usr/lib/lua/$(LUA_VERSION)
	ln -s /usr/lib/graphviz/lua/liblua$(LUA_VERSION)-libgv.so \
		$(LUA_PACKAGE)/usr/lib/lua/$(LUA_VERSION)/gv.so

	# Some additional work for libgv-python
	# Note the sed call because of python{24,25} instead of python{2.4,2.5}
	# Note gv.py isn't really duplicated, it's just installed in a location
	# where python-support will find it. Both being identical, python-support
	# will just do the right thing.
	for i in $(PYTHON_VERSIONS); do \
		install -d $(PYTHON_PACKAGE)/usr/lib/$$i/$(call py_sitename_sh, $$i) ; \
		cp $(PYTHON_PACKAGE)/usr/lib/graphviz/python/gv.py \
			$(PYTHON_PACKAGE)/usr/lib/$$i/$(call py_sitename_sh, $$i) ; \
		mv $(PYTHON_PACKAGE)/usr/lib/graphviz/$$(echo $$i|sed -e 's/\.//')/*.so \
			$(PYTHON_PACKAGE)/usr/lib/$$i/$(call py_sitename_sh, $$i) ; \
	done
	rm -rf $(PYTHON_PACKAGE)/usr/lib/graphviz

	# Debian-specific manpage
	dh_installman -plibgvc$(SO_GVC)      \
		$(CURDIR)/debian/libgvc$(SO_GVC)-config-update.8

	# Some additional work for libgv-ruby
	install -d $(RUBY_PACKAGE)/usr/lib/ruby/$(RUBY_VERSION)
	mv $(RUBY_PACKAGE)/usr/lib/graphviz/ruby/libgv_ruby.so \
		$(RUBY_PACKAGE)/usr/lib/ruby/$(RUBY_VERSION)/gv.so
	rm -rf $(RUBY_PACKAGE)/usr/lib/graphviz

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installman
	dh_installmenu -i
	dh_installchangelogs ChangeLog -i
	dh_perl -i
	dh_link -i
	dh_strip -i
	dh_compress -i -X.pdf
	dh_fixperms -i
	dh_makeshlibs -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a -XMakefile
	dh_installexamples -a
	dh_installmenu -a
	dh_installman -a
	dh_installchangelogs ChangeLog -a
	dh_perl -a
	dh_python2 -a
	dh_link -a usr/share/man/man1/gxl2gv.1 usr/share/man/man1/gxl2dot.1 usr/share/man/man1/gxl2gv.1 usr/share/man/man1/dot2gxl.1
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs \
		-plibgvc$(SO_GVC) -plibcgraph$(SO_CGRAPH) \
		-plibcdt$(SO_CDT) -plibpathplan$(SO_PATHPLAN) \
		-plibxdot$(SO_XDOT) -plibgvpr$(SO_GVPR)
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## graphviz 2.38.0

=== dot.demo/Makefile ===
CFLAGS=`pkg-config libgvc --cflags` -Wall -g -O2
LDFLAGS=`pkg-config libgvc --libs`

all: dot demo simple example neatopack

dot: dot.o
demo: demo.o
simple: simple.o
example: example.o
neatopack: neatopack.o

clean:
	rm -rf *.o dot demo simple example neatopack *.png

=== cmd/gvpr/lib/Makefile ===
--- 
+++ 
@@ -187,10 +187,10 @@
 GRAPHVIZ_SOURCES = graphviz/test/SOURCES
 GRAPHVIZ_VERSION_BUILD = 0
 GRAPHVIZ_VERSION_COMMIT = unknown
-GRAPHVIZ_VERSION_DATE = 20140111.2315
+GRAPHVIZ_VERSION_DATE = 20140413.2041
 GRAPHVIZ_VERSION_MAJOR = 2
 GRAPHVIZ_VERSION_MICRO = 0
-GRAPHVIZ_VERSION_MINOR = 36
+GRAPHVIZ_VERSION_MINOR = 38
 GRAPHVIZ_VERSION_REVISION = 0
 GREP = /usr/bin/grep
 GROFF = groff
@@ -281,10 +281,10 @@
 PACKAGE = graphviz
 PACKAGE_BUGREPORT = http://www.graphviz.org/
 PACKAGE_NAME = graphviz
-PACKAGE_STRING = graphviz 2.36.0
+PACKAGE_STRING = graphviz 2.38.0
 PACKAGE_TARNAME = graphviz
 PACKAGE_URL = 
-PACKAGE_VERSION = 2.36.0
+PACKAGE_VERSION = 2.38.0
 PANGOCAIRO_CFLAGS = -pthread -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm  
 PANGOCAIRO_LIBS = -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lglib-2.0  
 PANGOFT2_CFLAGS = -pthread -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include

=== debian/changelog ===
graphviz (2.38.0-7) unstable; urgency=high

  * QA upload.
  * Add CVE-2014-9157.patch.
    Fix format string vulnerability (CVE-2014-9157) in yyerror() routine
    which may allow attackers to cause a denial of service or possibly
    execute code.
    Thanks to Marc Deslauriers <marc.deslauriers@ubuntu.com> (Closes: #772648)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 10 Dec 2014 07:21:52 +0100

graphviz (2.38.0-6) unstable; urgency=medium

  * QA upload.
  * Sync and re-enable kfreebsd-hang.patch (thanks to Steven
    Chamberlain; closes: #760165).

 -- Gilles Filippini <pini@debian.org>  Mon, 01 Sep 2014 23:43:10 +0200

graphviz (2.38.0-5) unstable; urgency=medium

  * QA upload.
  * Change the GVPLUGIN_CONFIG_FILE to /usr/lib/graphviz/config6a.
    Closes: #756308.
  * Remove old libgraphviz4 packaging files.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Aug 2014 10:51:22 +0200

graphviz (2.38.0-4) unstable; urgency=medium

  * QA upload.
  * libgvc6-plugins-gtk: Conflict with libgvc5-plugins-gtk. Closes: #755198.
  * Apply a work around to reduce the package size. Addresses: #755124.
  * Add missing -lm in link of cmd/dot. Closes: #755232.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Jul 2014 14:10:45 +0200

graphviz (2.38.0-3) unstable; urgency=medium

  * QA upload.
  * Fix maintainer scripts to call libgvc6-config-update. Closes: #755065.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Jul 2014 20:45:15 +0200

graphviz (2.38.0-2) unstable; urgency=medium

  * QA upload.
  * Add a simple autopkg test.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Jul 2014 17:13:41 +0200

graphviz (2.38.0-1) unstable; urgency=medium

  * QA upload, coordinated with the ITA submitter in #736605.
  * New upstream version. Closes: #645410, #724593.
  * Bump standards version to 3.9.5.
  * Build using dh_python2.
  * Drop unused build-dependency on pdksh.
  * Mark graphviz Multi-Arch: foreign.
  * Build using guile-2.0. Closes: #746012.
  * Configure with --disable-silent-rules.
  * Configure for the Tcl/Tk 8.6 multiarch installation.
  * Build using lua5.2.
  * Build using ruby-2.1.
  * Recommend fonts-liberation rather than ttf-liberation.
  * Don't hard code /usr/lib/perl5 in perl install file. Closes: #752346.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Jul 2014 17:43:01 +0200

graphviz (2.26.3-17.1) unstable; urgency=low

  * Non-maintainer upload
  * Correct typo in rules so config.{sub,guess} is actually updated. (Closes: #749061)

 -- Wookey <wookey@debian.org>  Fri, 23 May 2014 14:25:42 +0000

graphviz (2.26.3-17) unstable; urgency=medium

  * QA upload.
  * First QA upload, setting maintainer to Debian QA Group.
  * Fix build with Ruby 2.0. (Closes: #743996)

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 20 Apr 2014 16:00:36 +0200

graphviz (2.26.3-16.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build Ruby bindings for Ruby 1.9.1. (Closes: #722396)

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 12 Feb 2014 04:03:17 +0100

graphviz (2.26.3-16.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add CVE-2014-1235.patch patch.
    CVE-2014-1235: buffer overflow vulnerability in yyerror() introduced by
    original fix for CVE-2014-0978. (Closes: #734745)
  * Add CVE-2014-1236.patch patch.
    CVE-2014-1236: buffer overflow from user input (the regexp in chkNum
    would accept arbitrary long digit list) (Closes: #734745)
  * Enable hardened build flags.
    Thanks to Moritz Muehlenhoff <jmm@debian.org> (Closes: #734804)
  * Add fix-missing-format-string.patch patch.
    Fixes missing format strings for printf and fprintf calls.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 12 Jan 2014 14:37:45 +0100

graphviz (2.26.3-16) unstable; urgency=medium

  * Add patch cherry-picked from upstream's github - fixes buffer
    overflow when processing a very long line (Closes: #729273, #505436)

 -- David Claughton <dave@eclecticdave.com>  Sat, 23 Nov 2013 23:25:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,11 @@
 Source: graphviz
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Claughton <dave@eclecticdave.com>
-Uploaders: Christoph Egger <christoph@debian.org>,
- Sebastian Harl <tokkee@debian.org>
-Standards-Version: 3.8.4
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 3.9.5
 Build-Depends: tk-dev,
  tcl-dev,
- debhelper (>= 7.1.0~),
+ debhelper (>= 9~),
  libfreetype6-dev,
  zlib1g-dev,
  libjpeg-dev,
@@ -27,8 +24,8 @@
  ghostscript,
  lua5.2,
  liblua5.2-dev,
- ruby1.9.1,
- ruby1.9.1-dev,
+ ruby,
+ ruby-dev,
  php5-dev,
  php5-cli,
  python-all-dev (>= 2.6.6-3~),
@@ -44,7 +41,6 @@
 Vcs-Git: git://git.debian.org/git/collab-maint/graphviz.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/graphviz.git
 Homepage: http://www.graphviz.org/
-XS-Testsuite: autopkgtest
 
 Package: graphviz
 Architecture: any
@@ -130,12 +126,12 @@
 Package: libgv-ruby
 Architecture: any
 Section: ruby
-Depends: ${shlibs:Depends}, ruby1.9.1, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Ruby bindings for graphviz
  Graphviz is a set of graph drawing tools. See the description of the graphviz
  package for a full description.
  .
- This package contains the Ruby (1.9.1) bindings.
+ This package contains the Ruby bindings.
 
 
 Package: libgv-tcl
@@ -197,7 +193,7 @@
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libgraphviz4
+Conflicts: libgraphviz4, libgvc5-plugins-gtk
 Description: rich set of graph drawing tools - gtk plugins
  Graphviz is a set of graph drawing tools. See the description of the graphviz
  package for a full description.
@@ -236,7 +232,6 @@
  libgvpr2 (= ${binary:Version}),
  libpathplan4 (= ${binary:Version}),
  libxdot4 (= ${binary:Version}),
- libgvc6-plugins-gtk (= ${binary:Version}),
  ${devlibs:Depends}, ${misc:Depends}
 Conflicts: graphviz-dev (<< 2.12-1), libgraphviz3-dev, libgraphviz4-dev (<< 2.16-3)
 Replaces: libgraphviz3-dev, libgraphviz4-dev (<< 2.16-3)

=== debian/rules ===
--- 
+++ 
@@ -38,13 +38,16 @@
 PYTHON_VERSIONS   = $(shell pyversions -r)
 PYTHON_PACKAGE    = $(CURDIR)/debian/libgv-python
 
-RUBY_VERSION      = 1.9.1
 RUBY_PACKAGE      = $(CURDIR)/debian/libgv-ruby
 
-CONFIG_SCRIPTS=config/config.guess libltdl/config.guess \
-	       config/config.sub   libltdl/config.sub
-
-configure: configure-stamp
+CONFIG_SCRIPTS=config/config.guess libltdl/config/config.guess \
+	       config/config.sub   libltdl/config/config.sub
+
+# make's $(shell) doesn't use local variables, thus we need to define a
+# custom command where DEB_LDFLAGS_MAINT_APPEND is passed.
+# See: https://wiki.debian.org/HardeningWalkthrough#dpkg-buildflags
+dpkg_buildflags = DEB_LDFLAGS_MAINT_APPEND="-Wl,--as-needed" dpkg-buildflags
+
 configure-stamp:
 	dh_testdir
 
@@ -81,12 +84,13 @@
 	--disable-sharp \
 	$(shell echo $(PYTHON_VERSIONS) | sed -e's,python,--enable-python,g' -e 's,\.,,g') \
 	$(CONFIGURE_LIBS) \
-	LDFLAGS="-Wl,--as-needed"
+	$(shell $(dpkg_buildflags) --export=configure)
+
 	touch configure-stamp
 
 build-arch: build
 build-indep: build
-build: configure build-stamp
+build: configure-stamp build-stamp
 build-stamp:
 	dh_testdir
 
@@ -165,7 +169,7 @@
 		$(CURDIR)/debian/tmp/usr/lib/*.so
 
 	# Move from debian/tmp to the appropriate packages, rename one binary
-	dh_install --sourcedir=debian/tmp --list-missing
+	DH_COMPAT=9 dh_install --sourcedir=debian/tmp --list-missing
 	mv $(CURDIR)/debian/libgvc$(SO_GVC)/usr/sbin/dot \
 		$(CURDIR)/debian/libgvc$(SO_GVC)/usr/sbin/libgvc$(SO_GVC)-config-update
 
@@ -206,12 +210,6 @@
 	dh_installman -plibgvc$(SO_GVC)      \
 		$(CURDIR)/debian/libgvc$(SO_GVC)-config-update.8
 
-	# Some additional work for libgv-ruby
-	install -d $(RUBY_PACKAGE)/usr/lib/ruby/$(RUBY_VERSION)
-	mv $(RUBY_PACKAGE)/usr/lib/graphviz/ruby/libgv_ruby.so \
-		$(RUBY_PACKAGE)/usr/lib/ruby/$(RUBY_VERSION)/gv.so
-	rm -rf $(RUBY_PACKAGE)/usr/lib/graphviz
-
 # Build architecture-independent files here.
 binary-indep: build install
 	dh_testdir -i
@@ -219,6 +217,7 @@
 	dh_installdocs -i
 	dh_installman
 	dh_installmenu -i
+	rm -f debian/graphviz-doc/usr/share/doc/graphviz/ChangeLog
 	dh_installchangelogs ChangeLog -i
 	dh_perl -i
 	dh_link -i
@@ -260,4 +259,3 @@
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
